ch.qos.logback.classic.db.names

## Class SimpleDBNameResolver

- java.lang.Object
- - ch.qos.logback.classic.db.names.SimpleDBNameResolver

All Implemented Interfaces:
  DBNameResolver

    public class SimpleDBNameResolver
    extends Object
    implements DBNameResolver

Adds custom prefix/suffix to table and column names.

Since:
  0.9.20
Author:
  Tomasz Nurkiewicz

### Constructor Summary

Constructors
Constructor and Description
`SimpleDBNameResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<N extends Enum<?>> String` `getColumnName(N columnName)`
`<N extends Enum<?>> String` `getTableName(N tableName)`
`void` `setColumnNamePrefix(String columnNamePrefix)`
`void` `setColumnNameSuffix(String columnNameSuffix)`
`void` `setTableNamePrefix(String tableNamePrefix)`
`void` `setTableNameSuffix(String tableNameSuffix)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleDBNameResolver

    public SimpleDBNameResolver()

### Method Detail

#### getTableName

    public <N extends Enum<?>> String getTableName(N tableName)

Specified by:
  `getTableName` in interface `DBNameResolver`

#### getColumnName

    public <N extends Enum<?>> String getColumnName(N columnName)

Specified by:
  `getColumnName` in interface `DBNameResolver`

#### setTableNamePrefix

    public void setTableNamePrefix(String tableNamePrefix)

#### setTableNameSuffix

    public void setTableNameSuffix(String tableNameSuffix)

#### setColumnNamePrefix

    public void setColumnNamePrefix(String columnNamePrefix)

#### setColumnNameSuffix

    public void setColumnNameSuffix(String columnNameSuffix)